-- Установка определений навыков
-- Начиная с версии 42.13 основная масса кода переехала в traits.txt и registries.lua
-- @author slava-1a 2025

local function pStartGear(player)
	DebugLog.log(string.format("[Zombolewd] /pStartGear/ZombolewdRegistries.Succuby: %s", tostring(ZombolewdRegistries.Succuby)))
	DebugLog.log(string.format("[Zombolewd] /pStartGear/ZombolewdRegistries.Rapist: %s", tostring(ZombolewdRegistries.Rapist)))
	----------------------------------------------- Traits -----------------------------------------------
	if player:hasTrait(ZombolewdRegistries.Rapist) then		
		--player:getInventory():addItem(ItemKey.Normal.Rope)
		--player:getInventory():addItem(ItemKey.Weapon.SpearHuntingKnife)
		player:getInventory():AddItem("Base.Rope", 1)
		player:getInventory():AddItem("Base.DuctTape", 1)
		player:getInventory():AddItem("Base.KitchenKnife", 1)
	end	

	----------------------------------------------- Debug -----------------------------------------------
	local ZomboLewdModOptions = PZAPI.ModOptions:getOptions("ZomboLewdFramework")
	if ZomboLewdModOptions:getOption("box_debug"):getValue() == true then 
		player:getInventory():AddItem("Base.Rope", 1)
	end	

end

--- Hook up event listeners
Events.OnNewGame.Add(pStartGear)